|  | Home · All Classes · Modules

# QStatusTipEvent Class Reference
[QtGui module]

The QStatusTipEvent class provides an event that is used to show messages in a status bar. More...

Inherits QEvent.

### Methods

- __init__ (self, QString tip)
- __init__ (self, QStatusTipEvent other)
- QString tip (self)

## Detailed Description

The QStatusTipEvent class provides an event that is used to show messages in a status bar.

Status tips can be set on a widget using the QWidget.setStatusTip() function. They are shown in the status bar when the mouse cursor enters the widget. For example:

     MainWindow.MainWindow(QWidget *parent)
         : QMainWindow(parent)
     {
         QWidget *myWidget = new QWidget;
         myWidget->setStatusTip(tr("This is my widget."));

         setCentralWidget(myWidget);
         ...
     }

Status tips can also be set on actions using the QAction.setStatusTip() function:

     MainWindow.MainWindow(QWidget *parent)
         : QMainWindow(parent)
     {
         QMenu *fileMenu = menuBar()->addMenu(tr("File"));

         QAction *newAct = new QAction(tr("&New"), this);
         newAct->setStatusTip(tr("Create a new file."));
         fileMenu->addAction(newAct);
         ...
     }

Finally, status tips are supported for the item view classes through the Qt.StatusTipRole enum value.

See also QStatusBar, QHelpEvent, and QWhatsThisClickedEvent.

## Method Documentation

### QStatusTipEvent.__init__ (self, QString tip)

Constructs a status tip event with the text specified by tip.

See also tip().

### QStatusTipEvent.__init__ (self, QStatusTipEvent other)

### QString QStatusTipEvent.tip (self)

Returns the message to show in the status bar.

See also QStatusBar.showMessage().